Subject: bug#15112: 24.3; package.el byte compile autoloads

From: Michael Albinus <[email-masked]>
Date: Thu, 26 Nov 2020 12:53:43 +0100

Stefan Kangas <[email-masked]> writes:

> Hi Michael,

Hi Stefan,

>> Anyway, I don't believe we'll see a performance boost after
>> byte-compiling loaddef files. They just contain function and variable
>> declarations, no implementation (but the initial values of variables).
>>
>> There are exceptions like in tramp-loaddefs.el, but they still don't
>> count wrt performance, I believe.
>
> This would be my guess too.  It seems like more trouble than it's worth.

So I recommend to close the bug. Maybe you'll wait some few days whether
somebody objects.

Best regards, Michael.